Index: trunk/source/Lib/TLibCommon/TComSlice.h
===================================================================
--- trunk/source/Lib/TLibCommon/TComSlice.h	(revision 964)
+++ trunk/source/Lib/TLibCommon/TComSlice.h	(revision 976)
@@ -54,7 +54,5 @@
 class TComPicLists; 
 class TComVPS; 
-#if H_MV_HLS_8_RPS_Q0100_36
 class TComSPS; 
-#endif
 #endif
 // ====================================================================================================================
@@ -130,18 +128,6 @@
   Void printDeltaPOC();
 
-#if H_MV_HLS_8_RPS_Q0100_36
-  Void checkMaxNumPics( Bool vpsExtensionFlag, Int maxNumPics, Int nuhLayerId, Int spsMaxDecPicBufferingMinus1 )
-  {
-    assert( getNumberOfPictures() >= 0 ); 
-    if ( nuhLayerId == 0 )
-    {
-      assert( getNumberOfPictures() <= spsMaxDecPicBufferingMinus1 ); 
-    }
-
-    if ( vpsExtensionFlag )
-    {
-      assert( getNumberOfPictures() <= maxNumPics );
-    }
-  }
+#if H_MV
+  Void checkMaxNumPics( Bool vpsExtensionFlag, Int maxNumPics, Int nuhLayerId, Int spsMaxDecPicBufferingMinus1 );
 #endif
 };
@@ -479,22 +465,11 @@
   Void setBspCombHrdIdx( Int h, Int i, Int j, Int  val ) { m_bspCombHrdIdx[h][i][j] = val; } 
   Int  getBspCombHrdIdx( Int h, Int i, Int j ) { return m_bspCombHrdIdx[h][i][j]; } 
-#if H_MV_HLS_8_HRD_Q0101_04
   Int  getBspCombHrdIdxLen() { return gCeilLog2( getVpsNumBspHrdParametersMinus1() + 1);  }; 
-  Void checkBspCombHrdAndShedIdx( TComVPS* vps, Int h, Int i, Int j )  
-  {
-    // bsp_comb_hrd_idx
-    assert( getBspCombSchedIdx(h, i, j ) >= 0 );
-    assert( getBspCombSchedIdx(h, i, j ) <= getVpsNumBspHrdParametersMinus1() );
-
-    // bsp_comb_sched_idx
-    assert( getBspCombSchedIdx(h, i, j ) >= 0 );
-
-    //* This check needs to activated,  when HighestTid is available here    
-    //  assert(  getBspCombSchedIdx(h, i, j ) <= vps->getHrdParameters( getBspCombHrdIdx( h, i, j ) )->getCpbCntMinus1( highestTid ) );
-  }
-#endif
+
 
   Void setBspCombSchedIdx( Int h, Int i, Int j, Int  val ) { m_bspCombSchedIdx[h][i][j] = val; } 
   Int  getBspCombSchedIdx( Int h, Int i, Int j ) { return m_bspCombSchedIdx[h][i][j]; } 
+
+  Void checkBspCombHrdAndShedIdx( TComVPS* vps, Int h, Int i, Int j );
 
   Void setHrdParametermeters( Int k, TComHRD* val  ) {  m_hrdParameters[k] = val; }; 
@@ -695,5 +670,5 @@
 private:
   Int         m_VPSId;
-#if H_MV_HLS_8_SYN_Q0041_03
+#if H_MV
   Bool        m_vpsBaseLayerInternalFlag;
 #endif
@@ -736,9 +711,7 @@
   TimingInfo  m_timingInfo;
 #if H_MV
-  #if H_MV_HLS_8_RPS_Q0100_36
   Bool        m_vpsExtensionFlag;
-#endif
+
   /// VPS EXTENSION SYNTAX ELEMENTS
-  Bool        m_avcBaseLayerFlag;
   Int         m_vpsNonVuiExtensionLength;
   Bool        m_splittingFlag;
@@ -761,8 +734,7 @@
 
   Int         m_numAddLayerSets;    
-#if H_MV_HLS_8_SYN_39_19
   Int         m_highestLayerIdxPlus1     [MAX_VPS_ADD_OUTPUT_LAYER_SETS][MAX_NUM_LAYERS];
   Int         m_numAddOlss;
-#endif
+
   Int         m_defaultOutputLayerIdc;
 
@@ -802,5 +774,4 @@
   Int         m_refLayerId               [MAX_NUM_LAYERS][MAX_NUM_LAYERS];  
 
-#if H_MV_HLS_8
   Int         m_numRefLayers             [MAX_NUM_LAYER_IDS]; 
   Int         m_numPredictedLayers       [MAX_NUM_LAYERS]; 
@@ -810,14 +781,5 @@
   Int         m_treePartitionLayerIdList [MAX_NUM_LAYERS][MAX_NUM_LAYER_IDS];
   Bool        m_recursiveRefLayerFlag    [MAX_NUM_LAYER_IDS][MAX_NUM_LAYER_IDS]; 
-#else
-
-  Int         m_numSamplePredRefLayers   [MAX_NUM_LAYERS];
-  Bool        m_samplePredEnabledFlag    [MAX_NUM_LAYERS][MAX_NUM_LAYERS];
-  Int         m_samplePredRefLayerId     [MAX_NUM_LAYERS][MAX_NUM_LAYERS];
-
-  Int         m_numMotionPredRefLayers   [MAX_NUM_LAYERS];
-  Bool        m_motionPredEnabledFlag    [MAX_NUM_LAYERS][MAX_NUM_LAYERS];
-  Int         m_motionPredRefLayerId     [MAX_NUM_LAYERS][MAX_NUM_LAYERS];
-#endif
+
   Int         m_viewIndex                [MAX_NUM_LAYERS   ];
   
@@ -828,19 +790,5 @@
 
   Int         xGetDimBitOffset( Int j );
-
-#if H_MV_HLS_8
-  Void xSetRefLayerFlags( Int currLayerId )
-  { 
-    for( Int j = 0; j < getNumDirectRefLayers( currLayerId ); j++ )
-    {
-      Int refLayerId = m_refLayerId[ currLayerId ][ j ];
-      m_recursiveRefLayerFlag[ currLayerId ][ refLayerId ] = 1;
-      for( Int k = 0; k < MAX_NUM_LAYER_IDS; k++ )
-      {
-        m_recursiveRefLayerFlag[ currLayerId ][ k ] = m_recursiveRefLayerFlag[ currLayerId ][ k ]  ||  m_recursiveRefLayerFlag[ refLayerId ][ k ];
-      }
-    }
-  }
-#endif
+  Void        xSetRefLayerFlags( Int currLayerId );
   // VPS EXTENSION 2 SYNTAX ELEMENTS
 #if H_3D_ARP
@@ -902,5 +850,5 @@
   Void    setVPSId       (Int i)              { m_VPSId = i;             }
 
-#if H_MV_HLS_8_SYN_Q0041_03
+#if H_MV
   Void    setVpsBaseLayerInternalFlag( Bool flag ) { m_vpsBaseLayerInternalFlag = flag; } 
   Bool    getVpsBaseLayerInternalFlag(  )          { return m_vpsBaseLayerInternalFlag; } 
@@ -957,13 +905,7 @@
   TimingInfo* getTimingInfo() { return &m_timingInfo; }
 #if H_MV
-
-#if H_MV_HLS_8_RPS_Q0100_36
   Void    setVpsExtensionFlag( Bool flag )                                 { m_vpsExtensionFlag = flag; } 
   Bool    getVpsExtensionFlag(  )                                          { return m_vpsExtensionFlag; } 
-#endif
-#if !H_MV_HLS_8_SYN_Q0041_03
-  Void    setAvcBaseLayerFlag( Bool val )                                  { m_avcBaseLayerFlag = val;  }
-  Bool    getAvcBaseLayerFlag()                                            { return m_avcBaseLayerFlag; } 
-#endif 
+
   Void    setVpsNonVuiExtensionLength( Int  val )                          { m_vpsNonVuiExtensionLength = val; } 
   Int     getVpsNonVuiExtensionLength(  )                                  { return m_vpsNonVuiExtensionLength; } 
@@ -1026,5 +968,4 @@
   Int     getNumAddLayerSets( )                                            { return m_numAddLayerSets; } 
   
-#if H_MV_HLS_8_SYN_39_19
   Void    setHighestLayerIdxPlus1( Int i, Int j, Int  val )                { m_highestLayerIdxPlus1[i][j] = val; } 
   Int     getHighestLayerIdxPlus1( Int i, Int j )                          { return m_highestLayerIdxPlus1[i][j]; } 
@@ -1032,5 +973,4 @@
   Void    setNumAddOlss( Int  val )                                        { m_numAddOlss = val; } 
   Int     getNumAddOlss(  )                                                { return m_numAddOlss; } 
-#endif
 
   Void    setDefaultOutputLayerIdc( Int  val )                             { m_defaultOutputLayerIdc = val; } 
@@ -1060,7 +1000,5 @@
   Int     getVpsRepFormatIdx( Int i )                                      { return m_vpsRepFormatIdx[i]; } 
 
-#if H_MV_HLS_8_PMS_Q0195_20
   Int     inferVpsRepFormatIdx( Int i )                                    { return std::min( i, getVpsNumRepFormatsMinus1()  );  }
-#endif
 
   Void    setRepFormat( Int i, TComRepFormat* val )                        { m_repFormat[i] = val;  }
@@ -1077,9 +1015,7 @@
   Void    setDpbSize( TComDpbSize* val )                                   { assert( m_dpbSize != 0 ); m_dpbSize = val; } 
   TComDpbSize* getDpbSize( )                                               { return m_dpbSize;} 
-#if H_MV_HLS_8_RPS_Q0100_36
+  
   Void    inferDbpSizeLayerSetZero( TComSPS* sps, Bool encoder );
-#endif
-
-
+  
   Void    setPocLsbNotPresentFlag( Int i, Bool flag )                      { m_pocLsbNotPresentFlag[i] = flag; } 
   Bool    getPocLsbNotPresentFlag( Int i )                                 { return m_pocLsbNotPresentFlag[i]; } 
@@ -1116,5 +1052,4 @@
   Int     getRefLayerId        ( Int layerIdInNuh, Int idx );; 
 
-#if H_MV_HLS_8
   Int     getNumRefLayers            ( Int i )        { return m_numRefLayers[i]; } 
   Int     getNumPredictedLayers      ( Int i )        { return m_numPredictedLayers[i]; } 
@@ -1124,10 +1059,6 @@
   Int     getTreePartitionLayerIdList( Int i, Int j ) { return m_treePartitionLayerIdList[i][j]; } 
   Bool    getRecursiveRefLayerFlag   ( Int i, Int j ) { return m_recursiveRefLayerFlag[i][j]; } 
-
-#endif
-
-#if H_MV_HLS_8_SYN_39_19
   Int     getNumLayerSets( )                                               { return getVpsNumLayerSetsMinus1() + 1 + getNumAddLayerSets();  };  
-#endif
+  
   Bool    checkVPSExtensionSyntax(); 
   Int     scalTypeToScalIdx   ( ScalabilityType scalType );
@@ -1137,12 +1068,8 @@
 
   Int     getNumLayersInIdList ( Int lsIdx );
-#if H_MV_HLS_8_RPS_Q0100_36
   Int     getLayerSetLayerIdList(Int lsIdx, Int j )                       { return m_layerSetLayerIdList[ lsIdx ][ j ]; }; 
-#endif
 
   Int     getNumOutputLayerSets() ;   
-#if !H_MV_HLS_8_DBP_NODOC_42
-  Int     getNumSubDpbs( Int i )                                           { return getNumLayersInIdList( i ); };  
-#endif
+
   Bool    isOutputLayer( Int outLayerSetIdx, Int layerIdInNuh );   
   Void    deriveLayerSetLayerIdList();
@@ -1160,23 +1087,7 @@
 
   Int     getMaxSubLayersInLayerSetMinus1( Int i );
-
-#if H_MV_HLS_8_SYN_39_19
   Int     getHighestLayerIdxPlus1Len( Int j )                                   { return gCeilLog2( getNumLayersInTreePartition( j ) + 1 );   }; 
-#endif
-
-  
-#if H_MV_HLS_7_VPS_P0300_27
-  Bool     getAltOutputLayerFlagVar( Int i )
-  {  // Semantics variable not syntax element !
-
-    Bool altOptLayerFlag = false;     
-    if ( i > 0 && getNumOutputLayersInOutputLayerSet( i ) == 1 && 
-      getNumDirectRefLayers( getOlsHighestOutputLayerId( i ) ) > 0 )
-    {
-      altOptLayerFlag = getAltOutputLayerFlag( i ); 
-    }
-    return altOptLayerFlag; 
-  };
-#endif
+
+  Bool     getAltOutputLayerFlagVar( Int i );;
 
   // inference
@@ -1186,24 +1097,5 @@
   // helpers
   Bool    getInDirectDependencyFlag( Int depLayeridInVps, Int refLayeridInVps, Int depth = 0 );
-#if H_MV_HLS_8_RPS_Q0100_36
-  Int     getMaxNumPics( Int layerId )
-  {    
-    Int maxNumPics = MAX_INT; 
-    for( Int olsIdx = 0; olsIdx < getNumOutputLayerSets(); olsIdx++)
-    {
-      Int lsIdx = olsIdxToLsIdx( olsIdx ); 
-      for( Int j = 0; j < getNumLayersInIdList( lsIdx ); j++ )
-      {
-        if( getLayerSetLayerIdList(lsIdx, j ) ==  layerId )
-        {
-          Int maxSL = getMaxSubLayersInLayerSetMinus1( lsIdx ); 
-          maxNumPics = std::min( maxNumPics, getDpbSize()->getMaxVpsDecPicBufferingMinus1( olsIdx , j,  maxSL ) );
-        }
-      }
-    }
-    assert( maxNumPics != MAX_INT ); 
-    return maxNumPics; 
-  }
-#endif
+  Int     getMaxNumPics( Int layerId );
 
   /// VPS EXTENSION 2 SYNTAX ELEMENTS
@@ -1356,15 +1248,5 @@
   Void          setScaledFlag(Bool flag)          { m_scaledFlag = flag;  } 
   Bool          getScaledFlag() const             { return m_scaledFlag;  } 
-  Void          scaleOffsets( Int scal )          
-  {
-    if (! m_scaledFlag )
-    {
-      m_scaledFlag         = true; 
-      m_winLeftOffset     *= scal; 
-      m_winRightOffset    *= scal; 
-      m_winTopOffset      *= scal; 
-      m_winBottomOffset   *= scal; 
-    }
-  }
+  Void          scaleOffsets( Int scal );
 #endif
   Void          setWindow(Int offsetLeft, Int offsetLRight, Int offsetLTop, Int offsetLBottom)
@@ -1630,5 +1512,5 @@
   // SPS 
   Bool        m_spsExtensionPresentFlag; 
-#if H_MV_HLS_8_SPS_NODOC_48
+
   Bool        m_spsRangeExtensionsFlag;
   Bool        m_spsMultilayerExtensionFlag;
@@ -1639,7 +1521,5 @@
   Int         m_spsExtension6bits;
 #endif
-#else
-  Bool        m_spsExtensionTypeFlag     [PS_EX_T_MAX_NUM];
-#endif
+
   Bool        m_spsInferScalingListFlag;
   Int         m_spsScalingListRefLayerId;
@@ -1755,5 +1635,5 @@
   UInt      getMaxTLayers()                           { return m_uiMaxTLayers; }
   Void      setMaxTLayers( UInt uiMaxTLayers )        { assert( uiMaxTLayers <= MAX_TLAYER ); m_uiMaxTLayers = uiMaxTLayers; }
-#if H_MV_HLS_8
+#if H_MV
   UInt      getSpsMaxSubLayersMinus1()                { return ( m_uiMaxTLayers - 1); }
 #endif
@@ -1789,45 +1669,9 @@
   TComPTL* getPTL()     { return &m_pcPTL; }
 #if H_MV
-
-#if H_MV_HLS_8_HRD_Q0102_08
-  Void inferSpsMaxDecPicBufferingMinus1( TComVPS* vps, Int targetOptLayerSetIdx, Int currLayerId, Bool encoder )
-  {
-    const std::vector<Int>& targetDecLayerIdList = vps->getTargetDecLayerIdList( vps->olsIdxToLsIdx( targetOptLayerSetIdx )); 
-
-    if (getLayerId() > 0 )
-    {
-      Int layerIdx = 0;         
-      while (layerIdx < (Int) targetDecLayerIdList.size() )
-      {
-        if ( targetDecLayerIdList[layerIdx] == currLayerId )
-        { 
-          break; 
-        }
-        layerIdx++; 
-      }
-
-      assert( layerIdx < (Int) targetDecLayerIdList.size() ); 
-
-      for (Int i = 0; i <= getSpsMaxSubLayersMinus1(); i++ ) 
-      {
-        Int maxDecPicBufferingMinus1 = vps->getDpbSize()->getMaxVpsDecPicBufferingMinus1( targetOptLayerSetIdx, layerIdx, i ) ; 
-
-        if ( encoder )
-        {
-          assert( getMaxDecPicBuffering( i ) - 1 == maxDecPicBufferingMinus1 ); 
-        }
-        else
-        {
-          setMaxDecPicBuffering(i, maxDecPicBufferingMinus1 + 1 ); 
-        }
-      }
-    }    
-  }
-#endif
+  Void inferSpsMaxDecPicBufferingMinus1( TComVPS* vps, Int targetOptLayerSetIdx, Int currLayerId, Bool encoder );
 
   Void setSpsExtensionPresentFlag( Bool flag ) { m_spsExtensionPresentFlag = flag; } 
   Bool getSpsExtensionPresentFlag( )           { return m_spsExtensionPresentFlag; }
 
-#if H_MV_HLS_8_SPS_NODOC_48
   Void setSpsRangeExtensionsFlag( Bool flag )            { m_spsRangeExtensionsFlag = flag; } 
   Bool getSpsRangeExtensionsFlag(  )                     { return m_spsRangeExtensionsFlag; } 
@@ -1844,8 +1688,4 @@
   Void setSpsExtension6bits( Int  val )                  { m_spsExtension6bits = val; } 
   Int  getSpsExtension6bits(  )                          { return m_spsExtension6bits; } 
-#endif
-#else
-  Void setSpsExtensionTypeFlag( Int i, Bool flag )       { m_spsExtensionTypeFlag[i] = flag; } 
-  Bool getSpsExtensionTypeFlag( Int i )                  { return m_spsExtensionTypeFlag[i]; }
 #endif
   
@@ -1886,25 +1726,8 @@
   // Inference 
   Void inferRepFormat( TComVPS* vps, Int layerIdCurr );
-
   Void inferScalingList( TComSPS* spsSrc );
 
-#if H_MV_HLS_8_RPS_Q0100_36
   // others
-  Void checkRpsMaxNumPics( TComVPS* vps, Int currLayerId ) 
-  {
-    // In spec, when rps is in SPS, nuh_layer_id of SPS is used instead 
-    // of nuh_layer_id of slice (currLayerId), this seems to be a bug.
-
-    for (Int i = 0; i < getRPSList()->getNumberOfReferencePictureSets(); i++ )
-    {
-      TComReferencePictureSet* rps = getRPSList()->getReferencePictureSet( i ); 
-      if ( !rps->getInterRPSPrediction() )
-      {
-        rps->checkMaxNumPics( vps->getVpsExtensionFlag(), vps->getMaxNumPics( currLayerId ), 
-          getLayerId(), getMaxDecPicBuffering( getSpsMaxSubLayersMinus1() ) - 1 );  
-      }
-    }
-  }
-#endif
+  Void checkRpsMaxNumPics( TComVPS* vps, Int currLayerId );
 
 #endif
@@ -2019,5 +1842,4 @@
   Int  m_ppsScalingListRefLayerId;
 
-#if H_MV_HLS_8_SPS_NODOC_48
   Bool m_ppsRangeExtensionsFlag;
   Bool m_ppsMultilayerExtensionFlag;
@@ -2029,7 +1851,4 @@
 #endif
 
-#else
-  Bool m_ppsExtensionTypeFlag[PS_EX_T_MAX_NUM];
-#endif
   Bool m_pocResetInfoPresentFlag;
 #endif
@@ -2175,5 +1994,4 @@
   Int  getPpsScalingListRefLayerId(  ) { return m_ppsScalingListRefLayerId; } 
 
-#if H_MV_HLS_8_SPS_NODOC_48
   Void setPpsRangeExtensionsFlag( Bool flag ) { m_ppsRangeExtensionsFlag = flag; } 
   Bool getPpsRangeExtensionsFlag(  ) { return m_ppsRangeExtensionsFlag; } 
@@ -2191,8 +2009,4 @@
   Void setPpsExtension5bits( Int  val ) { m_ppsExtension5bits = val; } 
   Int  getPpsExtension5bits(  ) { return m_ppsExtension5bits; } 
-#endif
-#else
-  Void setPpsExtensionTypeFlag( Int i, Bool flag ) { m_ppsExtensionTypeFlag[i] = flag; } 
-  Bool getPpsExtensionTypeFlag( Int i ) { return m_ppsExtensionTypeFlag[i]; } 
 #endif
 
@@ -2231,5 +2045,5 @@
   Int         m_iPPSId;               ///< picture parameter set ID
   Bool        m_PicOutputFlag;        ///< pic_output_flag 
-#if H_MV_HLS_8_POC_Q0142_32
+#if H_MV
   Int         m_slicePicOrderCntLsb;   
 #endif  
@@ -2414,5 +2228,5 @@
   Void      setPicOutputFlag( Bool b )         { m_PicOutputFlag = b;    }
   Bool      getPicOutputFlag()                 { return m_PicOutputFlag; }
-#if H_MV_HLS_8_POC_Q0142_32
+#if H_MV
   Void      setSlicePicOrderCntLsb( Int i ) { m_slicePicOrderCntLsb = i; }; 
   Int       getSlicePicOrderCntLsb(  )      { return m_slicePicOrderCntLsb; }; 
@@ -2466,7 +2280,5 @@
   Bool      getApplyIC()                                        { return m_bApplyIC; }
   Void      xSetApplyIC();
-#if MTK_LOW_LATENCY_IC_ENCODING_H0086
   Void      xSetApplyIC(Bool bUseLowLatencyICEnc);
-#endif
   Void      setIcSkipParseFlag( Bool b )                        { m_icSkipParseFlag = b; }
   Bool      getIcSkipParseFlag()                                { return m_icSkipParseFlag; }
@@ -2569,7 +2381,4 @@
   static Void markIvRefPicsAsShortTerm    ( std::vector<TComPic*> refPicSetInterLayer0, std::vector<TComPic*> refPicSetInterLayer1 );
   static Void markCurrPic                 ( TComPic* currPic );
-#if !H_MV_HLS_8_DBP_NODOC_42
-  static Void markIvRefPicsAsUnused       ( TComPicLists* ivPicLists, std::vector<Int> targetDecLayerIdSet, TComVPS* vps, Int curLayerId, Int curPoc  );
-#endif
   Void        printRefPicList();
 #endif
@@ -2707,12 +2516,5 @@
   Void setCrossLayerBlaFlag( Bool flag ) { m_crossLayerBlaFlag = flag; } 
   Bool getCrossLayerBlaFlag(  ) { return m_crossLayerBlaFlag; } 
-  Void checkCrossLayerBlaFlag ( )
-  {
-    // cross_layer_bla_flag shall be equal to 0 for pictures with nal_unit_type not equal to IDR_W_RADL or IDR_N_LP or with nuh_layer_id not equal to 0.
-    if ( getLayerId() != 0 || getNalUnitType() != NAL_UNIT_CODED_SLICE_IDR_W_RADL || getNalUnitType() == NAL_UNIT_CODED_SLICE_IDR_N_LP )
-    {
-      assert( m_crossLayerBlaFlag == 0 ); 
-    }
-  }
+  Void checkCrossLayerBlaFlag ( );
 
 #if !H_MV_HLS7_GEN
@@ -2738,7 +2540,6 @@
   Void setPocResetIdc( Int  val ) { m_pocResetIdc = val; } 
   Int  getPocResetIdc(  ) { return m_pocResetIdc; } 
-#if H_MV_HLS_8_POC_Q0142_32
   Void checkPocResetIdc( ) { assert( !(getVPS()->getPocLsbNotPresentFlag( getLayerIdInVps() ) )  || !(getSlicePicOrderCntLsb() > 0 ) || !( getPocResetIdc() == 2) ); }  
-#endif
+
   Void setPocResetPeriodId( Int  val ) { m_pocResetPeriodId = val; } 
   Int  getPocResetPeriodId(  ) { return m_pocResetPeriodId; } 
@@ -2749,7 +2550,5 @@
   Void setPocLsbVal( Int  val ) { m_pocLsbVal = val; } 
   Int  getPocLsbVal(  ) { return m_pocLsbVal; } 
-#if H_MV_HLS_8_POC_Q0142_32
   Void checkPocLsbVal( ) { assert( !(getVPS()->getPocLsbNotPresentFlag( getLayerIdInVps() ) )  || !getFullPocResetFlag() || ( getPocLsbVal() == 0 ) ); }  
-#endif
 
   Void setPocMsbValPresentFlag( Bool flag ) { m_pocMsbValPresentFlag = flag; } 
@@ -2794,33 +2593,10 @@
   TComPic* getPicFromRefPicSetInterLayer( Int setIdc, Int layerId );
 
-
-#if H_MV_HLS_8_POC_Q0146_15
-// Inference 
-  Bool inferPocMsbValPresentFlag()
-  {
-    Bool pocMsbValPresentFlag; 
-    if( getSliceSegmentHeaderExtensionLength() == 0 ) 
-    {
-      pocMsbValPresentFlag = false; 
-    }
-    else if ( getPocMsbValRequiredFlag() )
-    {
-      pocMsbValPresentFlag = true; 
-    }
-    else
-    {
-      pocMsbValPresentFlag = false; 
-    }
-
-    return pocMsbValPresentFlag; 
-  }  
-#endif
+  // Inference 
+  Bool inferPocMsbValPresentFlag();  
 #endif
 #if H_3D_DDD
-  Void InitializeDDDPara( UInt uiCamParsCodedPrecision, Int  iCodedScale,Int  iCodedOffset, Int iBaseViewIdx );
-  Int  getDepthFromDV( Int iDV, Int iBaseViewIdx )
-  {
-      return ClipY(( iDV * m_aiDDDInvScale[ iBaseViewIdx ] + m_aiDDDInvOffset[ iBaseViewIdx ] ) >> m_aiDDDShift[ iBaseViewIdx ]);
-  }
+  Void initializeDDDPara( UInt uiCamParsCodedPrecision, Int  iCodedScale,Int  iCodedOffset, Int iBaseViewIdx );
+  Int  getDepthFromDV( Int iDV, Int iBaseViewIdx );
 #endif
 
